%define mainver %(echo %{version} | sed -e 's/\\([0-9]*\\.[0-9]*\\)\\.[0-9]*/\\1/')

Summary:        Chat and Instant Messaging module for Twisted

Name:           python-twisted-words
Version:	14.0.2
Release:	1
Source0:        http://twistedmatrix.com/Releases/Words/14.0/TwistedWords-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedWords
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core
# for words/tap.py
Requires:       python-twisted-web

# There is no debug here, but can't build as noarch,
# since some 'twisted' modules are arch-dependent and all these modules
# should be located in the same place
%define debug_package %{nil}

%description
Twisted Words includes:

* Low-level protocol implementations of OSCAR (AIM and ICQ), IRC, MSN,
  TOC (AIM).
* Jabber libraries.
* Prototypes of chat server and client frameworks built on top of
  the protocols.

%prep
%setup -q -n TwistedWords-%{version}

%build
%__python setup.py build

%install
%__python setup.py install --root=%{buildroot} --install-purelib=%{py_platsitedir}



%files
%defattr(0644,root,root,0755)
%doc LICENSE NEWS README *
%dir %{py_platsitedir}/twisted/words/
%{py_platsitedir}/twisted/words/*
%{py_platsitedir}/twisted/plugins/*
%{py_platsitedir}/*.egg-info

%changelog
* Fri Sep 26 2014 dsilakov <denis.silakov@rosalab.ru> 14.0.2-1
+ Revision: b9e0577
- Merge pull request #5 from import/python-twisted-words:auto_update
- ROSA Updates Builder: update suggested


